Nie można spolszczyć Irfanview

Zaktualizowałem do najnowszej wersji do 4.25, wcześniej miałem 4.23. Po zainstalowaniu okazało się, że nie można zmienić języka na polski. Natrętnie program mówi, że plik z językiem jest za stary. Ściągnąłem go ponownie z DP i ze strony domowej, także i starsze pliki z językiem. Podmieniałem, instalowałem i dalej ten sam komunikat. Ma ktoś ten problem? Nie wiem czy jest sens przeinstalowywać program?

Jeżeli trzeba poczekać na spolszczenie 4.25 należało by usunąć jak na razie polską flagę obok tej wersji programu.

Po drugie, wersja spolszczenia jest 4.22 a nie 4.23, więc należało by tą informację również zmienić .

Zawsze możesz plik języka zmienić na wersje 4.25. Jak?

“polski.dll” jest spakowany UPX’em - więc najpierw rozpakowanie za pomocą UPX’a (przełącznik -d)

a w rozpakowanym pliku wystarczy że poszukasz za pomoca hexedytora stringu 4.23 (występuje tylko raz) i zmienisz na 4.25 i to wszystko. W 99% przypadków powinno działać.

Nie wiem tylko jak to się ma do praw autorskich tłumaczenia, ale raczej autor nie powinien mieć nic przeciwko gdy zmieniamy tylko wersje pliku.

Dzięki.

a ja mam prośbę, czy moglibyście zamieścić tutaj ten plik, po przeróbkach?

Na pewno niejedna osoba skorzysta.

Dzięki.